package com.winhc.bigdata.spark.ng.change

/**
 * @author: XuJiakai
 * @date: 2021/1/21 17:00
 */
object NgCompanyUpdateType extends Enumeration {
  type UpdateType = Value //声明枚举对外暴露的变量类型
  val Update = Value("update")
  val Deleted = Value("deleted")
  val Insert = Value("insert")
  val Other = Value("other")

  def checkExists(update_type: String) = this.values.exists(_.toString == update_type) //检测是否存在此枚举值

  def showAll = this.values.foreach(println) // 打印所有的枚举值
}
