package com.winhc.bigdata.spark.implicits

import org.json4s.jackson.Serialization
import org.json4s.jackson.Serialization.write
import org.json4s.{Formats, NoTypeHints}
/**
 * @author: XuJiakai
 * @date: 2020/11/23 10:51
 */
object CaseClass2JsonHelper {
  implicit val formats: AnyRef with Formats = Serialization.formats(NoTypeHints)
  implicit class CaseClass2JsonEnhancer[A <: AnyRef](that: A) {
    def toJson(): String ={
      if(that==null){
       return null
      }
      write(that)
    }
  }
}
